Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IObjectManager

All Known Subinterfaces:
  ICommunityManager, IJobManager, IPortletManager, IPortletTemplateManager, IUserGroupManager

public interface IObjectManager

Interface that provides an entry point for querying portal objects.

Method Summary
`int` | `lookupObjectID(java.lang.String UUID)` Gets an object's ID from its UUID.
`java.lang.String` | `lookupUUID(int objectID)` Looks up an object's UUID by object ID.
`IACL` | `queryACL(int objectID)` Retrieves an ACL (Access Control List) for managing the security on a portal object.
`int[]` | `queryCommunitiesForPortlet(int portletID)` Returns an array of IDs of the Communities that contain the portlet with the specified ID.
`IExtendedData` | `queryExtendedData(int objectID)` Queries for an object's extended object data.
`IObjectQuery` | `queryObjects()` Queries for all objects of a particular class.
`IObjectQuery` | `queryObjects(int folderID)` Queries for all objects of this class underneath a particular folder.
`IObjectQuery` | `queryObjects(int folderID, int startRow, int maxRows)` Queries for objects underneath a particular folder.
`IObjectQuery` | `queryObjects(int folderID, int startRow, int maxRows, ObjectProperty sortProperty, boolean ascending)` Queries for objects underneath a particular folder.
`IObjectQuery` | `queryObjects(int folderID, int startRow, int maxRows, ObjectProperty sortProperty, boolean ascending, ObjectProperty[] propsToReturn, QueryFilter[] filters)` Queries for objects underneath a particular folder that comply to a set of filters.
`IObjectQueryRow` | `querySingleObject(int objectID)` Queries for a single object by object ID and retrieves all of its properties.
`void` | `updateACL(int objectID, IACL acl)` Updates the ACL (Access Control List) on a portal object.

Method Detail

### queryObjects

    public IObjectQuery queryObjects(int folderID,
                                     int startRow,
                                     int maxRows,
                                     ObjectProperty sortProperty,
                                     boolean ascending,
                                     ObjectProperty[] propsToReturn,
                                     QueryFilter[] filters)
                              throws java.net.MalformedURLException,
                                     PortalException,
                                     java.rmi.RemoteException

  Queries for objects underneath a particular folder that comply to a set of filters. Returns an `IObjectQuery` object that has one row for each object returned.
  Note: Use caution when creating a query. Queries that result in a large number of objects, including those that query all folders, or queries without query filters, can result in SOAP timeouts or `OutOfMemoryError`s.

  Parameters:
    `folderID` - the ID of the folder in which to query; if set to -1, the query is for all folders
    `startRow` - the first row in the query to retrieve (row numbers are zero-based)
    `maxRows` - the number of rows in the query to retrieve; if set to -1, all rows are retrieved
    `sortProperty` - the property on which to sort the query
    `ascending` - whether the sort should be ascending or descending; use `true` for ascending
    `propsToReturn` - an array of object properties indicating which properties to return in the query
    `filters` - an array of query filters to narrow down the search
  Returns:
    an `IObjectQuery` object that represents the results of the query
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryObjects

    public IObjectQuery queryObjects(int folderID,
                                     int startRow,
                                     int maxRows,
                                     ObjectProperty sortProperty,
                                     boolean ascending)
                              throws java.net.MalformedURLException,
                                     PortalException,
                                     java.rmi.RemoteException

  Queries for objects underneath a particular folder. Returns an `IObjectQuery` object that has one row for each object returned. Note: Use caution when creating a query. Queries that result in a large number of objects, including queries without query filters, can result in SOAP timeouts or `OutOfMemoryError`s.

  Parameters:
    `folderID` - the ID of the folder in which to query; if set to -1, the query will be for all folders
    `startRow` - the first row in the query to retrieve (row numbers are zero-based)
    `maxRows` - the number of rows in the query to retrieve; if set to -1, all rows are retrieved
    `sortProperty` - the property on which to sort the query
    `ascending` - whether the sort should be ascending or descending; use `true` for ascending
  Returns:
    an `IObjectQuery` object that represents the results of this query
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryObjects

    public IObjectQuery queryObjects(int folderID,
                                     int startRow,
                                     int maxRows)
                              throws java.net.MalformedURLException,
                                     PortalException,
                                     java.rmi.RemoteException

  Queries for objects underneath a particular folder. Returns an `IObjectQuery` object that has one row for each object returned. Note: Use caution when creating a query. Queries that result in a large number of objects, including those that query many folders, or queries without query filters, can result in SOAP timeouts or `OutOfMemoryError`s.

  Parameters:
    `folderID` - the ID of the folder in which to query; if set to -1, the query will be for all folders
    `startRow` - the first row in the query to retrieve (row numbers are zero-based)
    `maxRows` - the number of rows in the query to retrieve; if set to -1, all rows are retrieved
  Returns:
    an `IObjectQuery` object that represents the results of this query
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryObjects

    public IObjectQuery queryObjects(int folderID)
                              throws java.net.MalformedURLException,
                                     PortalException,
                                     java.rmi.RemoteException

  Queries for all objects of this class underneath a particular folder. Returns an `IObjectQuery` object that has one row for each object returned. Note: Use caution when creating a query. Queries that result in a large number of objects can result in SOAP timeouts or `OutOfMemoryError`s.

  Parameters:
    `folderID` - the ID of the folder in which to query; if set to -1, the query will be for all folders
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryObjects

    public IObjectQuery queryObjects()
                              throws java.net.MalformedURLException,
                                     PortalException,
                                     java.rmi.RemoteException

  Queries for all objects of a particular class. Returns an `IObjectQuery` object that has one row for each object returned. Note: Use caution when creating a query. Queries that result in a large number of objects can result in SOAP timeouts or `OutOfMemoryError`s.

  Returns:
    an `IObjectQuery` object that represents all of the objects of this class
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### querySingleObject

    public IObjectQueryRow querySingleObject(int objectID)
                                      throws java.net.MalformedURLException,
                                             PortalException,
                                             java.rmi.RemoteException

  Queries for a single object by object ID and retrieves all of its properties.

  Parameters:
    `objectID` - the ID of the object to be queried
  Returns:
    an `IObjectQueryRow` object representing the specified object's properties
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryExtendedData

    public IExtendedData queryExtendedData(int objectID)
                                    throws java.net.MalformedURLException,
                                           PortalException,
                                           java.rmi.RemoteException

  Queries for an object's extended object data. Returns an `IExtendedData` object representing all of the extended data about the object.

  Throws:
    `java.net.MalformedURLException`
    `PortalException`
    `java.rmi.RemoteException`

### lookupUUID

    public java.lang.String lookupUUID(int objectID)
                                throws java.net.MalformedURLException,
                                       PortalException,
                                       java.rmi.RemoteException

  Looks up an object's UUID by object ID.

  Parameters:
    `objectID` - the ID of the object for which to get a UUID
  Returns:
    the object's UUID
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryCommunitiesForPortlet

    public int[] queryCommunitiesForPortlet(int portletID)
                                     throws java.net.MalformedURLException,
                                            PortalException,
                                            java.rmi.RemoteException

  Returns an array of IDs of the Communities that contain the portlet with the specified ID.

  Parameters:
    `portletID` - the Portlet ID
  Returns:
    an array of IDs of Communities that contain the portlet
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### lookupObjectID

    public int lookupObjectID(java.lang.String UUID)
                       throws java.net.MalformedURLException,
                              PortalException,
                              java.rmi.RemoteException

  Gets an object's ID from its UUID.

  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### queryACL

    public IACL queryACL(int objectID)
                  throws java.net.MalformedURLException,
                         PortalException,
                         java.rmi.RemoteException

  Retrieves an ACL (Access Control List) for managing the security on a portal object.

  Parameters:
    `objectID` - the object ID of the object for which to retrieve the ACL
  Returns:
    the ACL for the object
  Throws:
    `java.lang.IllegalArgumentException` - if the object ID is invalid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call
    `java.net.MalformedURLException`

### updateACL

    public void updateACL(int objectID,
                          IACL acl)
                   throws java.net.MalformedURLException,
                          PortalException,
                          java.rmi.RemoteException

  Updates the ACL (Access Control List) on a portal object. You can only update the ACL on an object with an ACL that was retrieved from the same object.

  Parameters:
    `objectID` - the object ID for which to set the ACL
    `acl` - the ACL to set on the object
  Throws:
    `java.lang.IllegalArgumentException` - if the object ID is invalid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call
    `ACLEntryReadOnlyException` - if the ACL contains read-only `ACLEntry`s which have been modified
    `java.net.MalformedURLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.